> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Food Menus for your business

> This endpoint allows you to view the Google Food Menus set for your business.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /business/{business_id}/food_menus
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /business/{business_id}/food_menus:
    get:
      tags:
        - Businesses
      summary: Google Food Menus for your business
      description: >
        This endpoint allows you to view the Google Food Menus set for your
        business.
      operationId: getBusinessFoodMenus
      parameters:
        - $ref: '#/components/parameters/business_id'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessFoodMenus'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    business_id:
      in: path
      name: business_id
      required: true
      schema:
        type: string
      description: >
        Business id.      


        It may be replaced by `c-{code}` where code is the store code, which
        should be unique per organization. This can be used only for
        `ORG_ADMIN`, `GROUP_MANAGER` and `BUSINESS_MANAGER` users.
  schemas:
    BusinessFoodMenus:
      description: A Google food menu for business.
      properties:
        menus:
          type: array
          items:
            $ref: '#/components/schemas/FoodMenuSection'
      example:
        menus:
          - name: Starters
            order: 1
            items:
              - name: Starter 1
                order: 1
                description: First starter of the food menu
                price: 1
                media:
                  source_url: https://www.source_url.com/main_dishes
                  public_url: https://www.partoo_url.com/main_dishes
              - name: Starter 2
                order: 2
                description: Second starter of the food menu
                price: 5
          - name: Main dishes
            order: 2
            items:
              - name: Today's special
                order: 1
                description: Today's special description
                price: 25
                media:
                  source_url: https://www.source_url.com/main_dishes
                  public_url: https://www.partoo_url.com/main_dishes
    FoodMenuSection:
      description: A food menu item section.
      properties:
        name:
          $ref: '#/components/schemas/FoodMenuSectionName'
        order:
          $ref: '#/components/schemas/FoodMenuSectionOrder'
        items:
          type: array
          items:
            $ref: '#/components/schemas/FoodMenuItem'
      example:
        name: Starters
        order: 1
        items:
          - name: Starter 1
            order: 1
            description: First starter of the food menu
            price: 1
          - name: Starter 2
            order: 2
            description: Second starter of the food menu
            price: 5
    FoodMenuSectionName:
      description: Name of the food menu section.
      type: string
    FoodMenuSectionOrder:
      description: Display order of the food menu item in the food menu section.
      type: integer
      example: 3
    FoodMenuItem:
      description: A food menu item object.
      properties:
        name:
          $ref: '#/components/schemas/FoodMenuItemName'
        order:
          $ref: '#/components/schemas/FoodMenuItemOrder'
        description:
          $ref: '#/components/schemas/FoodMenuItemDescription'
        price:
          $ref: '#/components/schemas/FoodMenuItemPrice'
        media:
          $ref: '#/components/schemas/FoodMenuItemMedia'
    FoodMenuItemName:
      description: Name of the food menu item.
      type: string
      example: Item name
      maxLength: 140
    FoodMenuItemOrder:
      description: Display order of the food menu item in the food menu section.
      type: integer
      example: 3
    FoodMenuItemDescription:
      description: Description of the food menu item.
      type: string
      maxLength: 1000
    FoodMenuItemPrice:
      description: Price of the food menu item.
      type: number
      example: 12.5
    FoodMenuItemMedia:
      description: Media of the food menu item.
      properties:
        sourceUrl:
          $ref: '#/components/schemas/FoodMenuMediaSourceUrl'
        publicUrl:
          $ref: '#/components/schemas/FoodMenuMediaPublicUrl'
        id:
          type: string
    FoodMenuMediaSourceUrl:
      description: >-
        User source url of the food menu item, mandatory to set/update media
        with food menu item
      type: string
    FoodMenuMediaPublicUrl:
      description: >-
        Public url the food menu item provided by partoo, can be empty in
        set/update.
      type: string
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````